AddUser
Adds a new user.
Allowed roles: Owner, Admin, User manager.
Example request: Add a new user.
Authentication
AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value:
```
Authorization: Bearer $VOXIMPLANT_TOKEN
```
See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.
Query parameters
user_name
The user name in format [a-z0-9][a-z0-9_-]49
user_display_name
The user display name. The length must be less than 256
user_password
The user password. Must be at least 8 characters long and contain at least one uppercase and lowercase letter, one number, and one special character
application_id
The application ID which a new user is to be bound to. Required unless application_name is provided.
application_name
The application name which a new user is to be bound to. Required unless application_id is provided.
parent_accounting
Whether the user uses the parent account's money, 'false' if the user has a separate balance
user_active
Whether the user is active. Inactive users cannot log in to applications
user_custom_data
Any string
Response
Successful response
result
Returns 1 if the request has been completed successfully
user_id
The new user ID